| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations Struct Reference

`#include <Gaudi/Parsers/Grammars.h>`

## Public Member Functions
void | operator() (ResultT &res, const std::string &title) const
void | operator() (ResultT &res, const double &val, const char lh) const
void | operator() (ResultT &res, int val) const
void | operator() (ResultT &res) const

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations

Definition at line 515 of file Grammars.h.

## Member Function Documentation

## ◆ operator()() [1/4]

template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | const std::string & | title
| ) |  | const
| inline

Definition at line 516 of file Grammars.h.

516 { res.setTitle( title ); }
Gaudi::Parsers::Histo1DGrammar::title
StringGrammar< Iterator, Skipper > title
Definition: Grammars.h:549

## ◆ operator()() [2/4]

template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | const double & | val,
|  | const char | lh
| ) |  | const
| inline

Definition at line 517 of file Grammars.h.

517 {
518 switch ( lh ) {
519 case 'l':
520 res.setLowEdge( val );
521 break;
522 case 'h':
523 res.setHighEdge( val );
524 break;
525 default:
526 break;
527 }
528 }

## ◆ operator()() [3/4]

template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | int | val
| ) |  | const
| inline

Definition at line 529 of file Grammars.h.

529 { res.setBins( val ); }

## ◆ operator()() [4/4]

template<typename Iterator , typename Skipper >

void Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Operations::operator() | ( | ResultT & | res | ) | const
| inline

Definition at line 530 of file Grammars.h.

530 {}

The documentation for this struct was generated from the following file:

- GaudiKernel/Gaudi/Parsers/Grammars.h